import * as Skandha from 'skandha';
import { makeCtrObservable } from './makeCtrObservable';
export const registerCtr = (props) => {
    var _a;
    Skandha.registerFacets(props.ctr, (_a = props.details) !== null && _a !== void 0 ? _a : {});
    if (props.initCtr) {
        props.initCtr(props.ctr);
    }
    if (props.childCtrs) {
        props.childCtrs.forEach((childCtrProps) => registerCtr(childCtrProps));
    }
    makeCtrObservable(props.ctr);
};
